play.db.c3p0

## Class C3P0DataSourceFactory

- java.lang.Object
- - play.db.c3p0.C3P0DataSourceFactory

- All Implemented Interfaces:
    DataSourceFactory

      public class C3P0DataSourceFactory
      extends java.lang.Object
      implements DataSourceFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `C3P0DataSourceFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.sql.DataSource` | `createDataSource(Configuration dbConfig)`
    `java.lang.String` | `getDriverClass(javax.sql.DataSource ds)`
    `java.lang.String` | `getJdbcUrl(javax.sql.DataSource ds)`
    `java.lang.String` | `getStatus()`
    `java.lang.String` | `getUser(javax.sql.DataSource ds)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### C3P0DataSourceFactory

          public C3P0DataSourceFactory()

  - ### Method Detail

    - #### createDataSource

          public javax.sql.DataSource createDataSource(Configuration dbConfig)
                                                throws java.beans.PropertyVetoException,
                                                       java.sql.SQLException

      Specified by:
        `createDataSource` in interface `DataSourceFactory`
      Throws:
        `java.beans.PropertyVetoException`
        `java.sql.SQLException`

    - #### getStatus

          public java.lang.String getStatus()

      Specified by:
        `getStatus` in interface `DataSourceFactory`

    - #### getDriverClass

          public java.lang.String getDriverClass(javax.sql.DataSource ds)

      Specified by:
        `getDriverClass` in interface `DataSourceFactory`

    - #### getJdbcUrl

          public java.lang.String getJdbcUrl(javax.sql.DataSource ds)

      Specified by:
        `getJdbcUrl` in interface `DataSourceFactory`

    - #### getUser

          public java.lang.String getUser(javax.sql.DataSource ds)

      Specified by:
        `getUser` in interface `DataSourceFactory`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly